from PIL import Image, ImageDraw


for t in range(0, 56, 1):
    img = Image.new(mode = "RGBA", size = (256,256), color = (0,0,0,10))

    for b in range(0,8):
        block = Image.new(mode = "RGBA", size = (512,512), color = (0,0,0,0))
        draw = ImageDraw.Draw(block)
        d = (t-b*4)*5
        w = d//10
        if d > 0:
            draw.rectangle((256-d, 256-d, 256+d, 256+d), width=w, fill=(0,0,0,255), outline=(255,255,255,255-d*2))
        block = block.rotate((t - b)*10)
        img.paste(block, (-128, -128), block)

    img.save(f"circle_{t}.png")
